/* 
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */

function dlGroups() {
    localStorage.setItem("apiurl", $("#url").val());
    localStorage.setItem("apikey", $("#key").val());
    reloadSettings();
    $.post(accounthubapi, {
        key: apikey,
        action: "getgroups"
    }, function (data) {
        if (data.status == "OK") {
            var options = "";
            for (var group in data.groups) {
                var g = data.groups[group];
                options += '<option value="' + g["id"] + '"' + (options == "" ? " selected" : "") + '>' + g["name"] + '</option>\n';
            }
            $("#group").append(options);
        } else {
            showmsg("Error", "danger", "Something is wrong.  Check the settings you entered.");
        }
    }, "json").fail(function () {
        showmsg("Error", "danger", "Something is wrong.  Check the settings you entered.");
    });
}

$("#settings_form").submit(function (event) {
    event.preventDefault();
    localStorage.setItem("apiurl", $("#url").val());
    localStorage.setItem("apikey", $("#key").val());
    localStorage.setItem("group", $("#group").val());
    localStorage.setItem("kioskmode", $("#kioskmode").is(":checked") ? true : null);
    localStorage.setItem("largebtns", $("#largebtns").is(":checked") ? true : null);
    reloadSettings();
    validateSettings(function (resp) {
        if (resp !== true) {
            showmsg("Error", "danger", "Something is wrong.  Check the settings you entered.");
            return;
        }
        document.location.href = "index.html";
    });
});